package mhp.oee.dao.gen;

import java.util.List;
import mhp.oee.po.gen.StdCycleTimePO;
import mhp.oee.po.gen.StdCycleTimePOExample;
import org.apache.ibatis.annotations.Param;

public interface StdCycleTimePOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table std_cycle_time
     *
     * @mbggenerated
     */
    int countByExample(StdCycleTimePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table std_cycle_time
     *
     * @mbggenerated
     */
    int deleteByExample(StdCycleTimePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table std_cycle_time
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table std_cycle_time
     *
     * @mbggenerated
     */
    int insert(StdCycleTimePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table std_cycle_time
     *
     * @mbggenerated
     */
    int insertSelective(StdCycleTimePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table std_cycle_time
     *
     * @mbggenerated
     */
    List<StdCycleTimePO> selectByExample(StdCycleTimePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table std_cycle_time
     *
     * @mbggenerated
     */
    StdCycleTimePO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table std_cycle_time
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") StdCycleTimePO record, @Param("example") StdCycleTimePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table std_cycle_time
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") StdCycleTimePO record, @Param("example") StdCycleTimePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table std_cycle_time
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(StdCycleTimePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table std_cycle_time
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(StdCycleTimePO record);
}